Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Interface TCPIPServerConnectionManagementInfoInterface

All Known Implementing Classes:
  TCPIPServerConnectionManagementInfo

    public interface TCPIPServerConnectionManagementInfoInterface

This class represents some configuration parameters that are used to manage the server inbound connection.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/23 07:15:22 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getCloseNotification()`
`long` | `getConnectionPoolSize()`
`long` | `getIdleTimeout()`
`java.lang.String` | `getScopeOfConnection()`
`boolean` | `isCollaborationScopeOfConnection()`
`boolean` | `isResourceAdapterScopeOfConnection()`
`boolean` | `isSessionScopeOfConnection()`

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getCloseNotification

    java.lang.String getCloseNotification()

  Returns:
    String

### getIdleTimeout

    long getIdleTimeout()

  Returns:
    long

### getScopeOfConnection

    java.lang.String getScopeOfConnection()

  Returns:
    String

### isResourceAdapterScopeOfConnection

    boolean isResourceAdapterScopeOfConnection()

  Returns:
    boolean

### isSessionScopeOfConnection

    boolean isSessionScopeOfConnection()

  Returns:
    boolean

### isCollaborationScopeOfConnection

    boolean isCollaborationScopeOfConnection()

  Returns:
    boolean

### getConnectionPoolSize

    long getConnectionPoolSize()

  Returns:
    long

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD